function getcolumns() {
    return [
        {
            title: "库位编号",
            dataIndex: "storePositionCode",
            key: "storePositionCode",
        },
        {
            title: "库位名称",
            dataIndex: "storePositionName",
            key: "storePositionName"
        },
        {
            title: "实时托盘号",
            dataIndex: "trayNo",
            key: "trayNo",
            hideInSearch: true
        },
        {
            title: "所属仓库",
            dataIndex: "storeName",
            key: "storeId",
            valueType: 'select',
            options: {
                path: '/ta_wms_auth/sysStore/selectionBoxAll',
                params: {}
            },
            fieldProps:{
                showSearch:true
            }
        },
        {
            title: '位置配置',
            valueType: 'split'
        },
        {
            title: "排号",
            dataIndex: "row",
            key: "row",
            hideInSearch:true,
            width:70
        },
        {
            title: "列号",
            dataIndex: "line",
            key: "line",
            hideInSearch:true,
            width:70
        },
        {
            title: "库位描述",
            dataIndex: "remark",
            key: "remark",
            hideInSearch: true
        }
    ];
}

export default getcolumns;